X
Tap here to go to the mobile version of the site.
Your Firefox is out of date and may contain a security risk! Upgrade Firefox

Support Forum

Firefox is up to date but pogo games still will not load - they do in Google Chrome

Posted

I am up to date - it says there are no updates available. But my pogo games will still not load. Per Pogo I uninstalled Java 7 and installed Java 6 Update 38, closed the browser and re-started my computer but most of the games I play daily on Pogo will not load. On some games when I try to chose a room to play in nothing happens - just sits there. Other games let me chose a room but then it says "game loading" forever - never loads. However, with Google Chrome there are no issues. All the games load just fine. So what gives?

Chosen solution

So, the Java plugin is there (which version), but you aren't able to enable the Java plugin to make websites use it?

Is the enable button present on the about:plugins plugin page?

Read this answer in context 2

Additional System Details

Installed Plug-ins

  • Next Generation Java Plug-in 1.6.0_38 for Mozilla browsers
  • NPRuntime Script Plug-in Library for Java(TM) Deploy
  • Shockwave Flash 11.5 r502
  • Adobe PDF Plug-In For Firefox and Netscape 10.1.5
  • SiteAdvisor
  • Google Update
  • The QuickTime Plugin allows you to view a wide variety of multimedia content in Web pages. For more information, visit the QuickTime Web site.
  • npsitesafety
  • WildTangent Games App V2 Presence Detector
  • 4.1.10329.0
  • GEPlugin
  • Google Updater pluginhttp://pack.google.com/
  • npapicomadapter
  • BrowserPlus -- Improve your browser! -- http://browserplus.yahoo.com/
  • NPWLPG
  • Yahoo Application State Plugin version 1.0.0.7
  • The Hulu Desktop Plugin allows Hulu.com to integrate with the Hulu Desktop application.
  • npdnupdater2
  • npdnu
  • Office Plugin for Netscape Navigator

Application

  • User Agent: Mozilla/5.0 (Windows NT 6.1; WOW64; rv:18.0) Gecko/20100101 Firefox/18.0

More Information

cor-el
  • Top 10 Contributor
  • Moderator
10742 solutions 96657 answers

Start Firefox in Safe Mode to check if one of the extensions (Firefox/Tools > Add-ons > Extensions) or if hardware acceleration is causing the problem (switch to the DEFAULT theme: Firefox/Tools > Add-ons > Appearance).

  • Do NOT click the Reset button on the Safe mode start window or otherwise make changes.

Question owner

Didn't make a bit of difference! I have had 4 other friends tell me they are having the same issue with firefox and are now using Google Chrome to play pogo (as am I). And have seen the same comments from at least a dozen players in game chat (in pogo) - they have given up using firefox to play pogo. Several players made the comment that they are going to uninstall firefox and just use Google Chrome as their browser. It seems the issue is firefox.

AND - there was no problem until the last update - seems the issue is somewhere with that update

One more thing I forgot to mention - firefox (and google chrome) had warning about java and gave option to enable it - but with firefox it seems it DOESN'T enable it because on the games, like mahjong garden, where it doesn't let me chose a room, if I keep clicking on the room name after about 3 or 4 times a box would pop up telling me that pogo games require java and giving me the option to download it.

Modified by zetakattwo

cor-el
  • Top 10 Contributor
  • Moderator
10742 solutions 96657 answers

See also:

Question owner

Nope - it does NOT activate Java - and that's the issue. I told it to always activate java for pogo but it does NOT! Still getting the message from Pogo that I need to download Java. So somewhere in that last update there is a problem - it's NOT activating Java even though you tell it to!

cor-el
  • Top 10 Contributor
  • Moderator
10742 solutions 96657 answers

Do you at least see the Java plugin on the Tools > Add-ons > Plugins page?

See also:

Question owner

Yes - it's there.

cor-el
  • Top 10 Contributor
  • Moderator
10742 solutions 96657 answers

Chosen Solution

So, the Java plugin is there (which version), but you aren't able to enable the Java plugin to make websites use it?

Is the enable button present on the about:plugins plugin page?

Question owner

I tried it twice - once with Java 6 update 38 and now with the java 7. on the about:plugins it just says "Enabled Plugins" at the top.

UPDATE - it's now working! Don't know what the issue was but after my RegCure Pro ran (that scans and fixes system problems, Malware Protection, System Performance, Privacy Protection, and Junk Files) and I re-opened Firefox and logged into Pogo, it again asked me if I wanted to activate Java and I chose always activate for this site it worked this time. I can play all my games again. Thanks for all your help. Maybe it was something as simple as cleaning out the browsing history (which RegCurePro does as part of the privacy protection)?

Modified by zetakattwo

tiaria57 0 solutions 1 answers

Could someone please tell me what RegCure Pro is and where I can get it. I am having the exact same problem with firefox so am also using google chrome but only for pogo. I love firefox and have been using it for years and years and will continue to do so other than for pogo bjt what a pain that is going back and forth between browsers. My problem was probably for the same reason but it actually started a few days after the java update.

Question owner

You can get RegCurePro at www.paretologic.com. They are a Microsoft Partner which is why I trust them.

dav4uonly 0 solutions 3 answers

I Don't know about you but i call to a Technical support and they fixed my issue... Here is the website and number ...just call them ,,,they will take care of the reset...

deleted as spam

Modified by the-edmeister

LoneRider191 0 solutions 1 answers

I had the same Firefox issues with Java that everyone else is describing here and this tip helped me very much. What I tried was to just go clear the (entire) history. Voila, everything then worked. This is using the latest (19.0.2) Firefox and Java (version 7 update 17). It was fairly easy to do and, if it works for anyone else, great. Thanks everyone...